//
// C++ Interface: datepicker
//
// Description: 
//
//
// Author: Martin Henne <martin.henne@web.de>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//

#ifndef _DATEPICKER_H
#define _DATEPICKER_H

#include <qpoint.h>
#include <qdatetime.h>
#include <qobject.h>

class DatePicker : public QObject {
    Q_OBJECT
    
    QDate _date;
    
    public:
    static QDate show(const QPoint& pos);
    static QDate show(const QPoint& pos, const QDate& date);

    public slots:
	void datePickedSlot(int y, int m, int d);

};

#endif





