// $Id: elementparser.h,v 1.4 2004/01/26 17:36:53 martin Exp $

// elementparser.h, (C) 2004 Martin Henne

#ifndef _elementparser_h
#define _elementparser_h

#include <qxml.h>
#include <qstring.h>
#include <qsortedlist.h>

class Activity;

class ElementParser : public QXmlDefaultHandler {
private:
	QList<Activity>& _activityList;

public:
	ElementParser(QSortedList<Activity>& list);

	bool startDocument();

	bool startElement(
		const QString& nameSpaceUri,
		const QString& localName,
		const QString& qName,
		const QXmlAttributes& attr
	);

	bool endElement(
		const QString& nameSpaceUri,
		const QString& localName,
		const QString& qName
	);
};

#endif
