// $Id: io.h,v 1.4 2004/01/30 16:19:35 martin Exp $

// io.h, (C) 2003 Martin Henne

#ifndef _io_h
#define _io_h

#include <qtextstream.h>
#include <qstring.h>
#include <cstdio>
#include "alert.h"
#include "askyesno.h"

class print {
public:
	template<class T>
	void operator()(const T& arg) {
		QTextStream cerr(stderr, IO_WriteOnly);
		cerr << arg;
	}
};

class println {
public:
	template<class T>
	void operator()(const T& arg) {
		print()(arg);
		print()("\n");
	}
};

class alert {
public:
	void operator()(const QString& msg = "(null)") {
		Alert* a = new Alert(msg);
		a->exec();
		delete a;
	}
};


#endif
