// $Id: projecthelp.h,v 1.2 2004/02/19 20:27:34 martin Exp $

// projecthelp.h, (C) 2004 Martin Henne

#ifndef _projecthelp_h
#define _projecthelp_h

#include "helpview.h"
#include <qstring.h>

class ProjectHelp {
public:    
    void operator()() {
	QString s;
	s =
	    "<b>Track Project Help</b><br>"
	    "This is the main workarea for Temtor. You can start/stop working sessions"
	    " (activities) here, create new projects and see, how much time you spent "
	    "on each project. Here's a step by step howto:<br><br>"
	    "<b>1. Create a new project</b><br>"
	    "Tap on the listbox and select 'New Project'. Enter a name for your project "
	    "in the upcoming dialog. The Project appears in the list. Behind the name of "
	    "the project, you can see, how much time you spent on it so far.<br><br>"
	    "<b>2. Start your work</b><br>"
	    "When you start your work on this project, just tap on it. The time changes to"
	    " an asterisk that indicates, that this project is active and the time is tracked on it. "
	    "On the bottom Line, you see three times: 'curr' means the time spent on the "
	    "current working session, 'sum' means the time spent on this project so far and "
	    "'all' means the time spent an all projects. <i>You can safely quit Temtor then, "
	    "your project stays active! You may start it again to end the work later.</i><br><br>"
	    "<b>2. Stop your work</b><br>"
	    "Just tap on the active project. The asterisk disappears and the time spent on "
	    "this project is shown behind it. The bottom line shows the time spent an all "
	    "projects.<br><br>"
	    "<b>2. Change project on the fly</b><br>"
	    "Just tap on another project.<br><br>"
	    "<b>3. Modify the records</b><br>"
	    "Go to the 'Modify' tab. You find a help button there.<br><br>"
	    "";
	HelpView* hv = new HelpView(s);
	hv->exec();
	delete hv;
	hv = 0;
    }
};

#endif

