//
// C++ Interface: quickdate
//
// Description: 
//
//
// Author: Martin Henne <martin.henne@web.de>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//


/*
 *     TODO
 *
 *     Steal Code from ReportParams1.h/.cpp from TimeSleuth
 *     It uses <qpe/databookmonth> or something similiar 
 *     That looks fast and reliable.
 */


#ifndef _quickdate_h
#define _quickdate_h

#include "quickdatebase.h"
#include <qdatetime.h>
#include <qpoint.h>

class QuickDate : public QuickDateBase {
    QDate _current;
    QDate _date;
    bool _rejected;
    
    static void fillTable(QTable* t, const QDate& today);
    static QDate showQpe(const QDate& current, const QPoint& pos);
    
    public:
    QuickDate(const QDate& current);
    static QDate show(const QDate& current, const QPoint& pos = QPoint(0,0) );
    
    virtual void backSlot();
    virtual void fastBackSlot();
    virtual void fastFwdSlot();
    virtual void fwdSlot();
    virtual void monthSlot();
    virtual void tableSlot();
    virtual void yearSlot();
    virtual void accept();
    virtual void reject();
};

#endif


