// $Id: usertextinput.h,v 1.3 2004/02/08 19:19:25 martin Exp $

// usertextinput.h, (C) 2003 Martin Henne

/*
	Opens a dialog that lets the user input a single line
	of text. You can use this as follows:

	QString textline = UserTextInput()("Question","What's your name?");
*/

#ifndef _usertextinput_h
#define _usertextinput_h

#include <qstring.h>


class UserTextInput {
public:
	QString operator()(
		const QString& caption,
		const QString& question,
		const QString& value = ""
	);

};


#endif

