// $Id: datafile.h,v 1.12 2004/02/19 20:27:34 martin Exp $

// datafile.h, (C) 2003 Martin Henne

/*
	Handles data files of 'mTrack'. "temtordata.xml" is the default Filename.
*/

#ifndef _datafile_h
#define _datafile_h

#include <qstring.h>
#include <qsortedlist.h>
#include <qtextstream.h>
#include "activity.h"

class DataFile {
    private:
    QString _fileName;
    void writeHeader(QTextStream&);
    void writeFooter(QTextStream&);
    void createEmty();
    void createEmty(const QString& fileName);
    
    public:
    explicit DataFile(const QString& filename = "");
    ~DataFile();
    
//    QSortedList<Activity> read();
    QSortedList<Activity> read(QString fileName = "");
//    void write(QSortedList<Activity> data);
    void write(QSortedList<Activity> data, QString fileName = "");
};

#endif






