// $Id: dateinput.cpp,v 1.3 2004/02/27 02:08:11 martin Exp $

// dateinput.cpp, (C) 2003 Martin Henne

#include "dateinput.h"
#include "datedialog.h"
#include <qdatetime.h>
#include <qpoint.h>
#ifdef QWS
#include "datepicker.h"
#endif

QDate DateInput::operator()() {
#ifdef QWS
    QDate d = DatePicker::show(QPoint(10,50));
    return d;
#else
    QDate d = QDate::currentDate();
    DateDialog* dialog = new DateDialog(0,0,d);
    dialog->showMaximized();
    dialog->exec();
    if( dialog->rejected() )
	d = QDate::currentDate();
    return d;
#endif
}

QDate DateInput::operator()(const QDate& arg) {
#ifdef QWS
    QDate d = DatePicker::show(QPoint(10,50), arg);
    return d;
#else
    QDate d = arg;
    DateDialog* dialog = new DateDialog(0,0,d);
    dialog->showMaximized();
    dialog->exec();
    if( dialog->rejected() )
	d = arg;
    return d;
#endif
}
