// $Id: datetimedialog.h,v 1.4 2004/01/05 16:02:48 martin Exp $

// datetimedialog.h, (C) 2003 Martin Henne

/*
	Dialog to enter date and time. See DateTimeInput.

	Remark: This needs generated code from 'datetimedialogbase.ui'
*/

#ifndef _datetimedialog_h
#define _datetimedialog_h

#include "datetimedialogbase.h"
#include <qdatetime.h>

class QWidget;

class DateTimeDialog : public DateTimeDialogBase {
private:
	QDateTime& _value;

public:
	DateTimeDialog(
		QWidget* parent,
		const char* name,
		QDateTime& datetime
	);

	virtual void accept();
	virtual void setTimeSlot();
	virtual void setDateSlot();

	void changed();
};


#endif
