// $Id: inputdialog.cpp,v 1.3 2004/02/08 19:19:24 martin Exp $

// inputdialog.cpp, (C) 2003 Martin Henne

#include "inputdialog.h"
#include <qglobal.h>
#include <qwidget.h>
#include <qlineedit.h>
#include <qgroupbox.h>
#include <qpushbutton.h>

InputDialog::InputDialog(
	QWidget* parent, 
	const char* name,
	const char* caption,
	const char* groupText,
	QString& value // dangerous
) : InputDialogBase(parent,name,true,0), _value(value) {
	this->setCaption(caption);
	groupBox->setTitle(groupText);
	okButton->setAccel(Key_Enter);
	lineEdit->validateAndSet(value,0,0,0);
}

void InputDialog::reject() {
    _value = "";
    hide();
}

void InputDialog::accept() {
	_value = lineEdit->text();
	hide();
}

