// $Id: main.cpp,v 1.11 2004/02/19 20:27:34 martin Exp $

// main.cpp, (C) 2003 Martin Henne

#ifdef QWS
#include <qpe/qpeapplication.h>
#endif
#include <qapplication.h>
#include <qstring.h>
#include <cstdlib>
#include <cstdio>
#include "window.h"
#include "io.h"
#include "mtrack.h"
#include "timespan.h"

//#undef QWS

int main( int argc, char **argv )
{
    if(argc>1) {} // for tests
    Mtrack* mtrack = new Mtrack( argc, argv );
    mtrack->mtrackStart();
#ifdef QWS
    QPEApplication* app = new QPEApplication( argc, argv );
#else
    QApplication* app = new QApplication( argc, argv );
#endif
    QString input;
    Window* win = new Window(mtrack,input,0,"Temtor");
    win->initialize();
    win->setVersion(Mtrack::_VERSION);
#ifdef QWS
    app->showMainWidget( win );
#else
    app->setMainWidget( win );
#endif
    win->show();
    win->showAccounts();
    int returnValue = app->exec();
    mtrack->mtrackEnd();
    delete mtrack;
    mtrack = NULL;
    return returnValue;
}

