// $Id: stringparser.h,v 1.1 2004/01/18 20:44:14 martin Exp $

// stringparser.h, (C) 2004 Martin Henne

#ifndef _stringparser_h
#define _stringparser_h

#include <qstring.h>
#include <qdatetime.h>

class StringParser {
private:
	StringParser();

public:
	// "12/31/2003 23:59:59"
	static QDateTime getDateTime(const QString& arg);

	// "MM/DD/YYYY"
	static QDate getDate(const QString& arg);

	// "HH:MM:SS"
	static QTime getTime(const QString& arg);

	static QString toString(const QDateTime& dt);
	static QString toString(const QDate& date);
	static QString toString(const QTime& time);
};


#endif


