// $Id: timedialog.h,v 1.2 2004/01/05 16:02:48 martin Exp $

// timedialog.h, (C) 2003 Martin Henne

/*
	Dialog for the user to specify a time. See 'TimeInput' for details.

	Remark: This needs generated code from 'timedialogbase.ui'
*/

#ifndef _timedialog_h
#define _timedialog_h

#include "timedialogbase.h"
#include <qdatetime.h>

class QWidget;

class TimeDialog : public TimeDialogBase {
private:
	QTime& _value;

public:
	TimeDialog(
		QWidget* parent,
		const char* name,
		QTime& time
	);

	virtual void accept();
	virtual void hourSlot();
	virtual void minuteSlot();

	void changed();
};


#endif
