// $Id: usertextinput.cpp,v 1.3 2004/02/08 19:19:25 martin Exp $

// usertextinput.cpp, (C) 2003 Martin Henne

#include <qstring.h>
#include "usertextinput.h"
#include "io.h"
#include "inputdialog.h"

QString UserTextInput::operator()(
	const QString& caption,
	const QString& question,
	const QString& value
) {
	QString text = value;
	InputDialog* input =
		new InputDialog(0,0,caption,question,text);
	input->showMaximized();
	input->exec();
	return text;
}
